import prepareSeriesDataSchema from "../../data/helper/createDimensions.mjs";
import SeriesData from "../../data/SeriesData.mjs";
import { isArray, extend } from "../../../../../../zrender@5.4.4/node_modules/zrender/lib/core/util.mjs";
function createSeriesDataSimply(seriesModel, opt, nameList) {
  opt = isArray(opt) && {
    coordDimensions: opt
  } || extend({
    encodeDefine: seriesModel.getEncode()
  }, opt);
  var source = seriesModel.getSource();
  var dimensions = prepareSeriesDataSchema(source, opt).dimensions;
  var list = new SeriesData(dimensions, seriesModel);
  list.initData(source, nameList);
  return list;
}
export {
  createSeriesDataSimply as default
};
